From 226d9e218b2bfb6e7421dd50e53cfec4c7857ef4 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sat, 28 Jan 2023 12:48:13 -0600
Subject: [PATCH 03/10] Avoid hardcoded reference (only) to .gz

This should've been updated at:
dab298471ff2f91f33bc25bfb73e435d3ab02148
751b8d23b788580bbff7463e3959f9a92a95b28a

Ideally it doesn't reference any specific compression algorithm at all.
---
 src/bin/pg_basebackup/pg_basebackup.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/bin/pg_basebackup/pg_basebackup.c b/src/bin/pg_basebackup/pg_basebackup.c
index 1d3ef2c694e..414771ec87c 100644
--- a/src/bin/pg_basebackup/pg_basebackup.c
+++ b/src/bin/pg_basebackup/pg_basebackup.c
@@ -2015,8 +2015,8 @@ BaseBackup(char *compression_algorithm, char *compression_detail,
 			 * If we write the data out to a tar file, it will be named
 			 * base.tar if it's the main data directory or <tablespaceoid>.tar
 			 * if it's for another tablespace. CreateBackupStreamer() will
-			 * arrange to add .gz to the archive name if pg_basebackup is
-			 * performing compression.
+			 * arrange to add an extension to the archive name if pg_basebackup
+			 * is performing compression.
 			 */
 			if (PQgetisnull(res, i, 0))
 			{
-- 
2.25.1

